import request from '@/utils/request'

// 查询机型列表
export function listAircraftType(query) {
  return request({
    url: '/system/aircraftType/list',
    method: 'get',
    params: query
  })
}

// 查询机型详细
export function getAircraftType(aircraftTypeId) {
  return request({
    url: '/system/aircraftType/' + aircraftTypeId,
    method: 'get'
  })
}

// 新增机型
export function addAircraftType(data) {
  return request({
    url: '/system/aircraftType',
    method: 'post',
    data: data
  })
}

// 修改机型
export function updateAircraftType(data) {
  return request({
    url: '/system/aircraftType',
    method: 'put',
    data: data
  })
}

// 删除机型
export function delAircraftType(aircraftTypeId) {
  return request({
    url: '/system/aircraftType/' + aircraftTypeId,
    method: 'delete'
  })
}
